TrafficRoute DNS Suite
Deletes a rule.
In addition to the following parameters, you also need to include the authentication parameters.
Name | Type | Required | Example | Description |
|---|---|---|---|---|
Action | String | Yes | DeleteResolverRule | The name of the API. The value of this parameter is DeleteResolverRule. |
Version | String | Yes | 2022-06-01 | The version of the API. The value of this parameter is 2022-06-01. |
Name | Type | Required | Example | Description |
|---|---|---|---|---|
RuleID | Integer | Yes | 123 | The ID of the rule. You can obtain it from the response of the following APIs:
|
RuleTrn | String | No | trn:private_zone::21******4::rule/rule-1234 | The TRN of the rule. The format is trn:private_zone::accountId::rule/rule-ruleId. If you need to verify whether an IAM user has operation permissions for the project where the rule is located, you need to pass this parameter. |
Name | Type | Description |
|---|---|---|
RequestId | String | The ID that identifies this request. |
Action | String | The value of the Action query parameter. |
Version | String | The API version. |
Service | String | The service type. |
Region | String | The region where the service is located. |
POST https://private-zone.volcengineapi.com/?Action=DeleteResolverRule&Version=2022-06-01 { "RuleID": 123 }
{ "ResponseMetadata": { "RequestId": "20230614140553EC822FFD341E9C19EF59", "Action": "DeleteResolverRule", "Version": "2022-06-01", "Service": "private_zone", "Region": "cn-beijing" } }
Refer to Common Error Codes.